Package ru.bitel.bgbilling.plugins.edo.server.bean

# Class FnsFileGenerator

java.lang.Object
ru.bitel.bgbilling.plugins.edo.server.bean.FnsFileGenerator

All Implemented Interfaces:
  `EdoBillFileGenerator`

public abstract class FnsFileGenerator extends Object implements EdoBillFileGenerator
Надстройка над EdoBillFileGenerator упрощающая написание динкода для формирования документов

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected ContragentInfos`
  `contragentInfos`
  `protected BillDoc`
  `doc`
  `protected ParameterMap`
  `documentSetup`
  `protected ScriptUtils`
  `scriptUtils`
  `protected Document`
  `xml`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FnsFileGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Contract`
  `getContract()`
  `abstract ru.bitel.bgbilling.plugins.edo.server.utils.EdoFnsXmlGenerator`
  `getDocument()`
  `InputStream`
  `getFileContent()`
  `void`
  `init(Setup setup, Connection con, int billModuleId, ParameterMap billModuleSetup, ParameterMap documentSetup, BillDoc doc, ContragentInfos contragentInfos)`
  `protected String`
  `value(String nameValue)`
  `protected String`
  `value(String nameValue, boolean required)`
  Взять значение по переданному коду параметра; макросы откуда пытаться взять: pid:666 - брать из параметра договора; bill_attr:inn - из реквизита модуля бухгалтерия; contract:comment - поле договора (title, comment) 666 - константа как есть.
  `protected String`
  `value_raw(String nameValue, boolean required)`
  `protected String`
  `ВерсПрог()`
  `protected String`
  `ВремяТип(Date date)`
  `protected String`
  `ДатаТип(Date date)`
  `protected ru.bitel.bgbilling.plugins.edo.server.utils.EdoFnsXmlGenerator.S`
  `ТекстИнфТип(String id, String val)`
  `protected ru.bitel.bgbilling.plugins.edo.server.utils.EdoFnsXmlGenerator.S`
  `ФИОТип(String F, String I, String O)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.plugins.edo.server.bean.EdoBillFileGenerator

  `getFileName`

- ## Field Details

  - ### con

    protected Connection con

  - ### doc

    protected BillDoc doc

  - ### xml

    protected Document xml

  - ### scriptUtils

    protected ScriptUtils scriptUtils

  - ### documentSetup

    protected ParameterMap documentSetup

  - ### contragentInfos

    protected ContragentInfos contragentInfos

- ## Constructor Details

  - ### FnsFileGenerator

    public FnsFileGenerator()

- ## Method Details

  - ### init

    public void init(Setup setup, Connection con, int billModuleId, ParameterMap billModuleSetup, ParameterMap documentSetup, BillDoc doc, ContragentInfos contragentInfos) throws Exception
    Specified by:
      `init` in interface `EdoBillFileGenerator`
    Parameters:
      `setup` - сетап сервера
      `con` - коннекшен
      `billModuleId` - mid конкретного экземпляра модуля bill откуда выгрузка
      `billModuleSetup` - сетап модуля bill
      `documentSetup` - под-сетап для этого генератора из конфига документа+подписанта
      `doc` - BillDoc счёта/счётфактуры соответствующего
      `contragentInfos` - инфа о контрагенте-участнике-эдо с конкретным идентификатором
    Throws:
      `Exception`

  - ### getDocument

    public abstract ru.bitel.bgbilling.plugins.edo.server.utils.EdoFnsXmlGenerator getDocument() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFileContent

    public InputStream getFileContent() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFileContent` in interface `EdoBillFileGenerator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContract

    protected Contract getContract() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### value

    protected String value(String nameValue, boolean required) throws Exception
    Взять значение по переданному коду параметра; макросы откуда пытаться взять: pid:666 - брать из параметра договора; bill_attr:inn - из реквизита модуля бухгалтерия; contract:comment - поле договора (title, comment) 666 - константа как есть.
    Throws:
      `ru.bitel.bgbilling.common.BGException` - какой-то косяк
      `Exception`

  - ### value

    protected String value(String nameValue) throws Exception
    Throws:
      `Exception`

  - ### value_raw

    protected String value_raw(String nameValue, boolean required) throws ru.bitel.bgbilling.plugins.edo.server.utils.MissingDocParamException
    Throws:
      `ru.bitel.bgbilling.plugins.edo.server.utils.MissingDocParamException`

  - ### ФИОТип

    protected ru.bitel.bgbilling.plugins.edo.server.utils.EdoFnsXmlGenerator.S ФИОТип(String F, String I, String O)

  - ### ДатаТип

    protected String ДатаТип(Date date)

  - ### ВремяТип

    protected String ВремяТип(Date date)

  - ### ТекстИнфТип

    protected ru.bitel.bgbilling.plugins.edo.server.utils.EdoFnsXmlGenerator.S ТекстИнфТип(String id, String val)

  - ### ВерсПрог

    protected String ВерсПрог()